curl -X GET "https://api.thalbank.com/webhooks?take=10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
]
}
Webhooks
Listar Webhooks
Lista os webhooks registrados
GET
/
webhooks
curl -X GET "https://api.thalbank.com/webhooks?take=10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
]
}
Descricao
Retorna todos os webhooks configurados para o seu seller.Request
integer
default:"10"
Registros por pagina.
integer
default:"0"
Offset de paginacao.
curl -X GET "https://api.thalbank.com/webhooks?take=10" \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": [
{
"id": "d4e5f6a7-b8c9-0123-def0-123456789abc",
"url": "https://seusite.com/webhooks/thalpay",
"eventType": "ALL",
"description": "Producao - Sistema principal",
"createdAt": "2026-03-10T00:00:00.000Z"
}
]
}
Was this page helpful?